.modal-review-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 100%;
    z-index: 9999999;
    background: rgba(0, 0, 0, 0.5);
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-review-product {
    /* display: none; */
    position: fixed;
    right: 0;
    left: 0;
    z-index: 99999999;
    overflow: hidden;
    top: 0;
}


.modal-review-dialog {
    width: 600px;
    max-width: 90%;
    margin: 30px auto;
    position: relative;
    background: #fff;
    background-clip: padding-box;
    box-shadow: 0 8px 10px -5px rgba(0, 0, 0, .14), 0 16px 24px 2px rgba(0, 0, 0, .098), 0 6px 30px 5px rgba(0, 0, 0, .084);
}

.modal-review-header {
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 0.005em;
}

.modal-review-close {
    padding: 0;
    cursor: pointer;
    width: auto;
    float: right;
    font-size: 32px;
    font-weight: 500;
    line-height: 0.6;
    color: #999;
}

.modal-review-title {
    color: #333;
    font-size: 22px;
    line-height: 24px;
    margin: 8px 0 0;
}

.modal-review_form-group {
    display: block;
    width: 100%;
    padding-top: 15px;
    margin-bottom: 20px;
    position: relative;
}

.modal-review_form-item {
    height: 24px;
    min-height: 28px;
    color: rgba(0, 0, 0, .87);
    outline: 0;
    width: 100%;
    font-size: 16px;
    padding: 0;
    padding-top: 5px;
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, .26);
    box-shadow: none;
    overflow-y: hidden;
}

.modal-review_form-item:focus {
    border-color: #2196f3 !important;
    border-width: 2px;
}

.modal-review_form-item.modal-review_form-textarea {
    resize: none;
}

.modal-review_form-item.modal-review_form-textarea-comment {
    resize: none;
    min-height: 46px;
}

.modal-review_form-item.modal-review_form-checkbox {
    border: none;
    padding-left: 0;
    color: rgba(0, 0, 0, .54);
    font-size: 16px;
    font-weight: 400;
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.modal-review_form-item.fio {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

.modal-review_form-item-title {
    color: rgba(0, 0, 0, .54);
    font-size: 16px;
    font-weight: 400;
}

.modal-review-rate {
    display: inline-flex;
    margin-top: 10px;
}

.rating-input-none {
    display: none;
}

.rating-label {
    padding: 0 0 0.1em;
    font-size: 2rem;
    cursor: pointer;
}

.rating__icon.rating__icon--star.fa.fa-star {
    pointer-events: none;
    font-size: 28px;
}

.rating-input {
    position: absolute;
    left: -9999px;
}

.rating-label {
    padding: 0 0.1em;
}

.rating-input:checked~.rating-label .rating__icon--star {
    color: #ddd;
}

.rating__icon.rating__icon--star {
    color: #d60d2b;
}

.modal-review_form-item.modal-review_form-checkbox>input {
    margin-left: 8px;
    margin-left: 8px;
    margin-top: 3px;
    cursor: pointer;
}

.modal-review-btn-submit {
    padding: 0 32px;
    margin: 0 auto;
}
.modal-review-content .modal-review-errors {
    display: none;
}
.modal-review-content .modal-review-errors .error-item {
    padding: 10px;
    background-color: #ff4d4d;
    border-radius: 5px;
    color: white;
    margin-top: 10px;
    width: max-content;
}
.modal-review-content .modal-review-success {
    display: none;
    padding: 10px 30px;
    background-color: #18b740;
    border-radius: 5px;
    width: max-content;
    color: white;
    margin: 40px auto 20px;
}

/*
  .modal-review-rate > input:checked + label:hover,
  .modal-review-rate > input:checked + label:hover ~ label,
  .modal-review-rate > input:checked ~ label:hover,
  .modal-review-rate > input:checked ~ label:hover ~ label,
  .modal-review-rate > label:hover ~ input:checked ~ label
  */


.product-review-modal .modal__window {
    max-width: 60rem;
}

.fa-star:before {
    content: "\f005";
}